<?php

use App\Http\Controllers\DepositWebhookController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\MailQueueController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('/get-job-record', [MailQueueController::class, 'getJobRecord']);
Route::post('/sanitize-job-record', [MailQueueController::class, 'sanitizeJobRecord']);

Route::post('/webhook/deposit', [DepositWebhookController::class, 'handle'])
    ->name('webhook.deposit')
    ->withoutMiddleware([\App\Http\Middleware\VerifyCsrfToken::class]);